package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.bo.model.Ccdget;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CctpVo extends AbstractCommonVo {

    //Panel status
    private  String pansta = NULLSTR;

    //Country or Region Code
    private  String countrycode = NULLSTR;

    private Usr usr;

    private Ccdget recget;

    @Override
    public void reset() {
        super.reset();
        if (recget == null) {
            recget = new Ccdget();
        }
        recget.reset();
    }
}
